Chart¶
7 endpoint(s).
| Endpoint | Method | Summary | Auth |
|---|---|---|---|
/api/v1/chart/bhav-chalit |
POST |
Get Bhav Chalit Chart | 🔒 |
/api/v1/chart/bhava-intensity |
POST |
Get Bhava Intensity Chart | 🔒 |
/api/v1/chart/birth |
POST |
Get Birth Chart | 🔒 |
/api/v1/chart/full |
POST |
Get Full Chart | 🔒 |
/api/v1/chart/moon |
POST |
Get Moon Chart | 🔒 |
/api/v1/chart/north-indian |
POST |
Get North Indian Chart | 🔒 |
/api/v1/chart/sun |
POST |
Get Sun Chart | 🔒 |
POST /api/v1/chart/bhav-chalit¶
Get Bhav Chalit Chart
DEPRECATED: Returns D1 Rasi Chart (Whole Sign) - NO planet shifting.
Why deprecated? - Bhav Chalit (planet shifting) is NOT classical Vedic astrology - House positions are FIXED in classical Vedic system - Effect intensity varies via Bhava Madhya/Sandhi (see /bhava-intensity)
This endpoint now returns the standard birth chart (Whole Sign). For effect strength analysis, use /bhava-intensity instead.
🔒 Authentication required — send
Authorization: Bearer <API_KEY>
Request body (application/json)
| Field | Type | Required | Description |
|---|---|---|---|
date |
string |
yes | Birth date in YYYY-MM-DD format |
time |
string |
yes | Birth time in HH:MM:SS format (24-hour) |
latitude |
number |
yes | Birth place latitude |
longitude |
number |
yes | Birth place longitude |
timezone |
string |
no | Timezone name (e.g., Asia/Kolkata) |
place_name |
any |
no | Birth place name for display |
name |
string |
yes | Native's name (required) |
email |
any |
no | Email (optional, for follow-ups) |
phone |
any |
no | Phone (optional, for WhatsApp follow-ups) |
current_location |
any |
no | Current location for muhurta calculations |
gender |
any |
no | Gender of native (male/female) |
marital_status |
any |
no | Current marital status |
marriage_date |
any |
no | Marriage date if married (YYYY-MM-DD) |
ayanamsa |
AyanamsaType |
no | Ayanamsa system |
house_system |
HouseSystem |
no | House system (Whole Sign) |
include_svg |
boolean |
no | Include SVG chart in response |
include_pdf |
boolean |
no | Include PDF report in response |
Response 200 — ChartResponse
Example
curl -X POST 'https://api.example.com/api/v1/chart/bhav-chalit' \
-H 'Authorization: Bearer <API_KEY>'
POST /api/v1/chart/bhava-intensity¶
Get Bhava Intensity Chart
Get Bhava Intensity Analysis (Classical Vedic).
Shows planet positions with Bhava Madhya/Sandhi intensity: - भाव मध्य = पूर्ण फल (Full Results) - planet at same degree as Lagna - मध्य क्षेत्र = मध्यम फल (Moderate Results) - 5-12° from madhya - भाव संधि = अल्प फल (Weak Results) - near house boundary
NOTE: House numbers are FIXED (Whole Sign). Only effect intensity varies.
🔒 Authentication required — send
Authorization: Bearer <API_KEY>
Request body (application/json)
| Field | Type | Required | Description |
|---|---|---|---|
date |
string |
yes | Birth date in YYYY-MM-DD format |
time |
string |
yes | Birth time in HH:MM:SS format (24-hour) |
latitude |
number |
yes | Birth place latitude |
longitude |
number |
yes | Birth place longitude |
timezone |
string |
no | Timezone name (e.g., Asia/Kolkata) |
place_name |
any |
no | Birth place name for display |
name |
string |
yes | Native's name (required) |
email |
any |
no | Email (optional, for follow-ups) |
phone |
any |
no | Phone (optional, for WhatsApp follow-ups) |
current_location |
any |
no | Current location for muhurta calculations |
gender |
any |
no | Gender of native (male/female) |
marital_status |
any |
no | Current marital status |
marriage_date |
any |
no | Marriage date if married (YYYY-MM-DD) |
ayanamsa |
AyanamsaType |
no | Ayanamsa system |
house_system |
HouseSystem |
no | House system (Whole Sign) |
include_svg |
boolean |
no | Include SVG chart in response |
include_pdf |
boolean |
no | Include PDF report in response |
Response 200 — ChartResponse
Example
curl -X POST 'https://api.example.com/api/v1/chart/bhava-intensity' \
-H 'Authorization: Bearer <API_KEY>'
POST /api/v1/chart/birth¶
Get Birth Chart
Generate D1 Rasi (Birth) Chart.
Returns the complete birth chart with: - Ascendant position - All 9 planet positions with degrees, signs, nakshatras - House data with lords - Optional SVG chart image - Optional PDF report
🔒 Authentication required — send
Authorization: Bearer <API_KEY>
Request body (application/json)
| Field | Type | Required | Description |
|---|---|---|---|
date |
string |
yes | Birth date in YYYY-MM-DD format |
time |
string |
yes | Birth time in HH:MM:SS format (24-hour) |
latitude |
number |
yes | Birth place latitude |
longitude |
number |
yes | Birth place longitude |
timezone |
string |
no | Timezone name (e.g., Asia/Kolkata) |
place_name |
any |
no | Birth place name for display |
name |
string |
yes | Native's name (required) |
email |
any |
no | Email (optional, for follow-ups) |
phone |
any |
no | Phone (optional, for WhatsApp follow-ups) |
current_location |
any |
no | Current location for muhurta calculations |
gender |
any |
no | Gender of native (male/female) |
marital_status |
any |
no | Current marital status |
marriage_date |
any |
no | Marriage date if married (YYYY-MM-DD) |
ayanamsa |
AyanamsaType |
no | Ayanamsa system |
house_system |
HouseSystem |
no | House system (Whole Sign) |
include_svg |
boolean |
no | Include SVG chart in response |
include_pdf |
boolean |
no | Include PDF report in response |
Response 200 — ChartResponse
Example
curl -X POST 'https://api.example.com/api/v1/chart/birth' \
-H 'Authorization: Bearer <API_KEY>'
POST /api/v1/chart/full¶
Get Full Chart
Generate complete chart with all data including: - Yogas and Doshas - COMPLETE 5-LAYER DASHA with exact dates and balance times - CURRENT TRANSITS with entry/exit dates - Sade Sati / Dhaiya status - Double Transit analysis
🔒 Authentication required — send
Authorization: Bearer <API_KEY>
Request body (application/json)
| Field | Type | Required | Description |
|---|---|---|---|
date |
string |
yes | Birth date in YYYY-MM-DD format |
time |
string |
yes | Birth time in HH:MM:SS format (24-hour) |
latitude |
number |
yes | Birth place latitude |
longitude |
number |
yes | Birth place longitude |
timezone |
string |
no | Timezone name (e.g., Asia/Kolkata) |
place_name |
any |
no | Birth place name for display |
name |
string |
yes | Native's name (required) |
email |
any |
no | Email (optional, for follow-ups) |
phone |
any |
no | Phone (optional, for WhatsApp follow-ups) |
current_location |
any |
no | Current location for muhurta calculations |
gender |
any |
no | Gender of native (male/female) |
marital_status |
any |
no | Current marital status |
marriage_date |
any |
no | Marriage date if married (YYYY-MM-DD) |
ayanamsa |
AyanamsaType |
no | Ayanamsa system |
house_system |
HouseSystem |
no | House system (Whole Sign) |
include_svg |
boolean |
no | Include SVG chart in response |
include_pdf |
boolean |
no | Include PDF report in response |
Response 200 — ChartResponse
Example
curl -X POST 'https://api.example.com/api/v1/chart/full' \
-H 'Authorization: Bearer <API_KEY>'
POST /api/v1/chart/moon¶
Get Moon Chart
Generate Chandra (Moon) Kundali. Moon's sign becomes the first house.
🔒 Authentication required — send
Authorization: Bearer <API_KEY>
Request body (application/json)
| Field | Type | Required | Description |
|---|---|---|---|
date |
string |
yes | Birth date in YYYY-MM-DD format |
time |
string |
yes | Birth time in HH:MM:SS format (24-hour) |
latitude |
number |
yes | Birth place latitude |
longitude |
number |
yes | Birth place longitude |
timezone |
string |
no | Timezone name (e.g., Asia/Kolkata) |
place_name |
any |
no | Birth place name for display |
name |
string |
yes | Native's name (required) |
email |
any |
no | Email (optional, for follow-ups) |
phone |
any |
no | Phone (optional, for WhatsApp follow-ups) |
current_location |
any |
no | Current location for muhurta calculations |
gender |
any |
no | Gender of native (male/female) |
marital_status |
any |
no | Current marital status |
marriage_date |
any |
no | Marriage date if married (YYYY-MM-DD) |
ayanamsa |
AyanamsaType |
no | Ayanamsa system |
house_system |
HouseSystem |
no | House system (Whole Sign) |
include_svg |
boolean |
no | Include SVG chart in response |
include_pdf |
boolean |
no | Include PDF report in response |
Response 200 — ChartResponse
Example
curl -X POST 'https://api.example.com/api/v1/chart/moon' \
-H 'Authorization: Bearer <API_KEY>'
POST /api/v1/chart/north-indian¶
Get North Indian Chart
Generate D1 Rasi Chart in North Indian (Diamond) style.
The North Indian chart style uses: - Fixed house positions (diamond shape) - Houses are fixed, signs rotate - 1st house always at top center - Lagna sign placed in 1st house position
🔒 Authentication required — send
Authorization: Bearer <API_KEY>
Request body (application/json)
| Field | Type | Required | Description |
|---|---|---|---|
date |
string |
yes | Birth date in YYYY-MM-DD format |
time |
string |
yes | Birth time in HH:MM:SS format (24-hour) |
latitude |
number |
yes | Birth place latitude |
longitude |
number |
yes | Birth place longitude |
timezone |
string |
no | Timezone name (e.g., Asia/Kolkata) |
place_name |
any |
no | Birth place name for display |
name |
string |
yes | Native's name (required) |
email |
any |
no | Email (optional, for follow-ups) |
phone |
any |
no | Phone (optional, for WhatsApp follow-ups) |
current_location |
any |
no | Current location for muhurta calculations |
gender |
any |
no | Gender of native (male/female) |
marital_status |
any |
no | Current marital status |
marriage_date |
any |
no | Marriage date if married (YYYY-MM-DD) |
ayanamsa |
AyanamsaType |
no | Ayanamsa system |
house_system |
HouseSystem |
no | House system (Whole Sign) |
include_svg |
boolean |
no | Include SVG chart in response |
include_pdf |
boolean |
no | Include PDF report in response |
Response 200 — ChartResponse
Example
curl -X POST 'https://api.example.com/api/v1/chart/north-indian' \
-H 'Authorization: Bearer <API_KEY>'
POST /api/v1/chart/sun¶
Get Sun Chart
Generate Surya (Sun) Kundali. Sun's sign becomes the first house.
🔒 Authentication required — send
Authorization: Bearer <API_KEY>
Request body (application/json)
| Field | Type | Required | Description |
|---|---|---|---|
date |
string |
yes | Birth date in YYYY-MM-DD format |
time |
string |
yes | Birth time in HH:MM:SS format (24-hour) |
latitude |
number |
yes | Birth place latitude |
longitude |
number |
yes | Birth place longitude |
timezone |
string |
no | Timezone name (e.g., Asia/Kolkata) |
place_name |
any |
no | Birth place name for display |
name |
string |
yes | Native's name (required) |
email |
any |
no | Email (optional, for follow-ups) |
phone |
any |
no | Phone (optional, for WhatsApp follow-ups) |
current_location |
any |
no | Current location for muhurta calculations |
gender |
any |
no | Gender of native (male/female) |
marital_status |
any |
no | Current marital status |
marriage_date |
any |
no | Marriage date if married (YYYY-MM-DD) |
ayanamsa |
AyanamsaType |
no | Ayanamsa system |
house_system |
HouseSystem |
no | House system (Whole Sign) |
include_svg |
boolean |
no | Include SVG chart in response |
include_pdf |
boolean |
no | Include PDF report in response |
Response 200 — ChartResponse
Example
curl -X POST 'https://api.example.com/api/v1/chart/sun' \
-H 'Authorization: Bearer <API_KEY>'